/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/
import React from 'react';
import { Store } from '../../Store.js';
import styled from 'styled-components'
import { Link } from 'react-router-dom';
import EditIcon from '@material-ui/icons/Edit';
import Button from '@material-ui/core/Button';

export default function EditProfileButton({ contrast }) {
    const { state } = React.useContext(Store)

    return (
        <EditProfileAnchor to="/editarperfil" contrast={contrast}>
            <Button>
                {state.windowSize.width >= 900 ?
                    (
                        <React.Fragment>
                            <EditIcon className="icon" /> <span>EDITAR PERFIL</span>
                        </React.Fragment>
                    )
                    :
                    (
                        <EditIcon className="icon" />
                    )
                }
            </Button>
        </EditProfileAnchor>
    )
}

const EditProfileAnchor = styled(Link)`
  Button {
      box-shadow : 0 2px 5px 0 rgba(0,0,0,.26);
      background-color: ${props => props.contrast === "" ? "#fafafa" : "black"};
      position : absolute;
      right : 10px;
      top : 10px;
      margin-bottom : 20px;
      color: ${props => props.contrast === "" ? "#666" : "yellow"};
      padding : 0 10px;
      text-decoration: ${props => props.contrast === "" ? "none" : "underline"};
      border-radius : 3px;
      @media screen and (min-width: 800px) {
          min-height : 36px;
          min-width : 88px;
      }
      line-height : 36px;
      border: ${props => props.contrast === "" ? "0" : "1px solid white"};
      display: inline-block;
      text-align : center;
      :hover{
        background-color: ${props => props.contrast === "" ? "#fafafa" : "rgba(255,255,0,0.24)"};
      }
      @media screen and (max-width: 600px) {
          max-width : 44px !important ;
      }
  }
  .icon{
    margin-right: 5px;
    vertical-align: middle;
    color: ${props => props.contrast === "" ? "#666" : "white"};
  }
`
